---
title: title
slug: Web/HTML/Global_attributes/title
tags:
  - Global attributes
  - HTML
  - Reference
  - Title
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <strong><code>title</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> contains text representing advisory information related to the element it belongs to.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/attribute-title.html","tabbed-shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<p>Some typical uses:</p>

<ul>
 <li>Labeling {{HTMLElement("iframe")}} elements for assistive technology</li>
 <li>Providing a programmatically associated label for an {{HTMLElement("input")}} element as a fallback for a real {{HTMLElement("label")}}</li>
 <li>Labeling controls in <a href="/en-US/docs/Web/HTML/Element/table">data tables</a></li>
</ul>

<p>Additional semantics are attached to the <code>title</code> attributes of the {{HTMLElement("link")}}, {{HTMLElement("abbr")}}, {{HTMLElement("input")}}, and {{HTMLElement("menuitem")}} elements.</p>

<h2 id="Multiline_titles">Multiline titles</h2>

<p>The <code>title</code> attribute may contain several lines. Each <code>U+000A LINE FEED</code> (<code>LF</code>) character represents a line break. Some caution must be taken, as this means the following renders across two lines:</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Newlines in &lt;code&gt;title&lt;/code&gt; should be taken into account,
like &lt;abbr title="This is a
multiline title"&gt;example&lt;/abbr&gt;.&lt;/p&gt;</pre>

<h3 id="Result">Result</h3>

<div>{{EmbedLiveSample('Multiline_titles')}}</div>

<h2 id="Title_attribute_inheritance">Title attribute inheritance</h2>

<p>If an element has no <code>title</code> attribute, then it inherits it from its parent node, which in turn may inherit it from its parent, and so on.</p>

<p>If this attribute is set to the empty string, it means its ancestors' <code>title</code>s are irrelevant and shouldn't be used in the tooltip for this element.</p>

<h3 id="HTML_2">HTML</h3>

<pre class="brush: html notranslate">&lt;div title="CoolTip"&gt;
  &lt;p&gt;Hovering here will show “CoolTip”.&lt;/p&gt;
  &lt;p title=""&gt;Hovering here will show nothing.&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="Result_2">Result</h3>

<div>{{EmbedLiveSample('Title_attribute_inheritance')}}</div>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Use of the <code>title</code> attribute is highly problematic for:</p>

<ul>
 <li>People using touch-only devices</li>
 <li>People navigating with keyboards</li>
 <li>People navigating with assistive technology such as screen readers or magnifiers</li>
 <li>People experiencing fine motor control impairment</li>
 <li>People with cognitive concerns</li>
</ul>

<p>This is due to inconsistent browser support, compounded by the additional assistive technology parsing of the browser-rendered page. If a tooltip effect is desired, it is better to <a href="https://inclusive-components.design/tooltips-toggletips/">use a more accessible technique</a> that can be accessed with the above browsing methods.</p>

<ul>
 <li><a href="https://www.w3.org/TR/html/dom.html#the-title-attribute">3.2.5.1. The title attribute | W3C HTML 5.2: 3. Semantics, structure, and APIs of HTML documents</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/01/using-the-html-title-attribute-updated/">Using the HTML title attribute – updated | The Paciello Group</a></li>
 <li><a href="https://inclusive-components.design/tooltips-toggletips/">Tooltips &amp; Toggletips - Inclusive Components</a></li>
 <li><a href="https://www.24a11y.com/2017/the-trials-and-tribulations-of-the-title-attribute/">The Trials and Tribulations of the Title Attribute - 24 Accessibility</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "dom.html#the-title-attribute", "title")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from latest snapshot, {{SpecName('HTML5.1')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "dom.html#the-title-attribute", "title")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>Snapshot of {{SpecName('HTML WHATWG')}}, no change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "dom.html#the-title-attribute", "title")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Snapshot of {{SpecName('HTML WHATWG')}}. From {{SpecName("HTML4.01")}}, it is now a true global attribute.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/global.html#adef-title', 'title')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Supported on all elements but {{HTMLElement("base")}}, {{HTMLElement("basefont")}}, {{HTMLElement("head")}}, {{HTMLElement("html")}}, {{HTMLElement("meta")}}, {{HTMLElement("param")}}, {{HTMLElement("script")}}, and {{HTMLElement("title")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.title")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
 <li>{{domxref("HTMLElement.title")}} that reflects this attribute.</li>
</ul>
